#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#include "mystruct.h"

int main(int argc, char** argv)
{
  int fd = open("myfile2.out", O_RDONLY);
  //int fd = open("myfile.out", O_WRONLY, S_IRUSR | S_IWUSR);

  if(fd == -1) {
    perror("Unable to open file");
    exit(-1);
  };
  // Successfully opened file

  VALUES v;

  if(read(fd, &v, sizeof(v)) != sizeof(v)) {
    perror("Read error");
    exit(-1);
  };

  printf("%d %f %s %d\n", v.a, v.b, v.c, v.d);

  if(close(fd) != 0) {
    perror("Close error");
    exit(-1);
  }

  return(0);

}
