#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#include "mystruct.h"

int main(int argc, char** argv)
{
  int fd = open("myfile2.out", O_WRONLY | O_CREAT, S_IRUSR | S_IWUSR);
  //int fd = open("myfile.out", O_WRONLY, S_IRUSR | S_IWUSR);

  if(fd == -1) {
    perror("Unable to open file");
    exit(-1);
  };
  // Successfully opened file

  VALUES v;

  v.a = 5;
  v.b = 3.14159;
  sprintf(v.c, "hello");
  v.d = -1;

  if(write(fd, &v, sizeof(v)) != sizeof(v)) {
    perror("Write error");
    exit(-1);
  };


  v.a = 1138;
  v.b = 6.28318;
  sprintf(v.c, "world");
  v.d = -10;

  if(write(fd, &v, sizeof(v)) != sizeof(v)) {
    perror("Write error");
    exit(-1);
  };

  if(close(fd) != 0) {
    perror("Close error");
    exit(-1);
  }

  return(0);

}
